package com.lightinit.hsdataplatform.model.admin;

import com.lightinit.hsdataplatform.annotation.FieldDescriber;
import org.hibernate.validator.constraints.NotEmpty;

import javax.validation.constraints.NotNull;

/**
 * @author WangYao
 * @date 2018/7/7 11:49
 * @description 部门数据模型
 */
public class SectorDataModel {

    @FieldDescriber(descripton = "ID")
    private Long id;

    @FieldDescriber(descripton = "上级目录")
    private Long parentId;

    @NotEmpty
    @FieldDescriber(descripton = "部门名称")
    private String sectorName;

    @NotEmpty
    @FieldDescriber(descripton = "部门编码")
    private String sectorCode;

    @FieldDescriber(descripton = "联系人")
    private String contact;

    @FieldDescriber(descripton = "联系电话")
    private String phone;

    @FieldDescriber(descripton = "电子邮箱")
    private String email;

    @FieldDescriber(descripton = "传真")
    private String fax;

    @FieldDescriber(descripton = "创建人")
    private Long createdBy;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getParentId() {
        return parentId;
    }

    public void setParentId(Long parentId) {
        this.parentId = parentId;
    }

    public String getSectorName() {
        return sectorName;
    }

    public void setSectorName(String sectorName) {
        this.sectorName = sectorName;
    }

    public String getSectorCode() {
        return sectorCode;
    }

    public void setSectorCode(String sectorCode) {
        this.sectorCode = sectorCode;
    }

    public Long getCreatedBy() {
        return createdBy;
    }

    public void setCreatedBy(Long createdBy) {
        this.createdBy = createdBy;
    }

    public String getContact() {
        return contact;
    }

    public void setContact(String contact) {
        this.contact = contact;
    }

    public String getPhone() {
        return phone;
    }

    public void setPhone(String phone) {
        this.phone = phone;
    }

    public String getEmail() {
        return email;
    }

    public void setEmail(String email) {
        this.email = email;
    }

    public String getFax() {
        return fax;
    }

    public void setFax(String fax) {
        this.fax = fax;
    }
}
